package edu.bu.signstream.common.util.vo.ss3.note;

import java.util.*;

public class SS3NoteCollection {
   private HashMap<String, SS3Note> notes = new HashMap<String, SS3Note>();

   public void addNote(SS3Note note) {
      notes.put(note.getID(), note);
   }

   public SS3Note getNote(String noteID) {
      return notes.get(noteID);
   }

   public HashMap<String, SS3Note> getNotes() {
      return notes;
   }

   public ArrayList<SS3Note> getNotesList() {
      ArrayList<SS3Note> values = new ArrayList<SS3Note>();
      values.addAll(notes.values());
      return values;
   }
}
