package edu.bu.signstream.grepresentation.fields;

import edu.bu.signstream.time.Time;

public class GraphFileRow {
	public final Time time;
	public final String fieldId;
	public final String fieldName;

    public final double value;

	public GraphFileRow(Time time, double value, String fieldId, String fieldName) {
	    this.time = time;
        this.value = value;

		this.fieldId = fieldId;
		this.fieldName = fieldName;
	}

	@Override
	public String toString() {
		return "Time: " + time + ",Value: " + value + ", FieldId: " + fieldId + ", FieldName: " + fieldName;
	}
}
