package edu.bu.signstream.grepresentation.fields.apexField.mouseDelegateListeners;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import edu.bu.signstream.grepresentation.fields.apexField.ApexChainedApexEventsEntity;
import edu.bu.signstream.grepresentation.fields.gestureField.GestureEventsEntity;
import edu.bu.signstream.grepresentation.requestsHandler.SS3Singleton;

public class DeleteApexActionListener implements ActionListener {

    private GestureEventsEntity gestEntity = null;
    private ApexChainedApexEventsEntity entity = null;
    
    public DeleteApexActionListener(GestureEventsEntity gestEntity, ApexChainedApexEventsEntity entity) {
    	this.gestEntity = gestEntity;
    	this.entity = entity;
    }

    @Override
	public void actionPerformed(ActionEvent e) {        
    	gestEntity.setDependentApexEntity(null);
        entity.getField().deleteEntity(entity);

        SS3Singleton.getMediaToolBar(null).selectedField().repaint();
        SS3Singleton.getSignStreamApplication().repaint();
        
        SS3Singleton.getApplicationStateController().setLoadedCollectionUpdated(true);	// calls SSSP.updateLoadedDatabase();
		
        // refresh the utterance lists to reflect the absence of this gloss now
		SS3Singleton.getSignStreamApplication().getSignStreamSegmentPanel().getUtteranceView().updateUtteranceLists();

        SS3Singleton.getMediaToolBar().segmentPanel().getUtteranceView().getSegmentTemplate(
        	entity.getField().getSegmentID()).getNonmanView()
        	.getCSFieldDialog().getCSFieldPanel().showAllFieldsCurrentUtterance();
    }

}
