package edu.bu.signstream.grepresentation.fields.gestureField.mouseDelegateListeners;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import edu.bu.signstream.grepresentation.requestsHandler.SS3Singleton;
import edu.bu.signstream.grepresentation.fields.gestureField.GestureFieldWrapper;
import edu.bu.signstream.grepresentation.fields.gestureField.dialog.GestureInfoDialog;
import edu.bu.signstream.grepresentation.view.GestureNRelatedView;

public class DefineGestureAssociatedFieldsActionListener implements ActionListener {

	   private GestureFieldWrapper wrapper = null;
	   private GestureNRelatedView view = null;
		
	   public DefineGestureAssociatedFieldsActionListener(GestureFieldWrapper wrapper, GestureNRelatedView view) {
           GestureInfoDialog dialog = SS3Singleton.getGestureFieldDialogs().getGestureInfoDialog();

          if(dialog == null) {
              dialog = new GestureInfoDialog(wrapper, view);
	          dialog.setResizable(true);
              SS3Singleton.getGestureFieldDialogs().setGestureInfoDialog(dialog);
          } else {
              dialog.update(wrapper, view);
          }

	      this.wrapper = wrapper;
	      this.view = view;
	   }
	   
	   public void setUpdatedValues(GestureFieldWrapper wrapper, GestureNRelatedView view) {
		   this.wrapper = wrapper;
		   this.view = view;
	   }

	   @Override
	public void actionPerformed(ActionEvent e) {
           GestureInfoDialog dialog = SS3Singleton.getGestureFieldDialogs().getGestureInfoDialog();
		   dialog.update(wrapper, view);
	       dialog.setVisible(true);
	       dialog.setLocationRelativeTo(null);
	       dialog.setLocation(15, 15);
	   }
}
