package edu.bu.signstream.grepresentation.fields.presentation;

import javax.swing.*;
import java.awt.*;
// import edu.bu.signstream.grepresentation.view.*;
import edu.bu.signstream.common.util.*;

public class CreateNewFieldPanel extends JPanel {
	private JTextField fld = new JTextField(25);
	// private SegmentGraphicRepresentation rep;

	public CreateNewFieldPanel() { // SegmentGraphicRepresentation rep) {
		// this.rep = rep;
		initUI();
	}

	private void initUI() {
		JLabel title = new JLabel(" Create New ");
		title.setFont(UserInterfaceUtil.getDialogTitleFont());
		title.setForeground(UserInterfaceUtil.getDialogTitleColor());

		GridBagLayout gbl = new GridBagLayout();
		GridBagConstraints gbc = new GridBagConstraints();

		setLayout(gbl);

		gbc.anchor = GridBagConstraints.NORTHWEST;
		gbc.gridwidth = GridBagConstraints.REMAINDER;
		add(title, gbc);

		gbc.anchor = GridBagConstraints.NORTH;
		gbc.fill = GridBagConstraints.HORIZONTAL;
		gbc.insets = new Insets(0, 0, 10, 0);
		add(new JSeparator(), gbc);

		gbc.anchor = GridBagConstraints.WEST;
		gbc.gridwidth = 1;
		gbc.insets = new Insets(0, 0, 0, 0);
		add(new JLabel("Label:"), gbc);

		add(Box.createHorizontalStrut(10));
		gbc.gridwidth = GridBagConstraints.REMAINDER;
		add(fld, gbc);
	}

	public String getLabel() {
		return fld.getText();
	}
}
