
package edu.bu.signstream.grepresentation.view;

import java.awt.Color;
import java.awt.Component;
import java.awt.Graphics;

import javax.swing.border.AbstractBorder;

public class LineBorder extends AbstractBorder {
   protected Color lineColor;

   public LineBorder() {
      this(Color.BLACK);
   }

   public LineBorder(Color lineColor) {
      this.lineColor = lineColor;
   }

   @Override
public void paintBorder(
      Component c,
      Graphics g,
      int x,
      int y,
      int w,
      int h) {
      g.setColor(lineColor);
      g.drawLine(x, y + 1, x + w, y + 1);
      g.drawLine(x, h + y - 2, x + w, h + y - 2);
      g.drawLine(x, y + 1, x, h + y - 1);
   }
}