package edu.bu.signstream.grepresentation.view.mediaControl;

import edu.bu.signstream.common.util.Util;
import edu.bu.signstream.time.Duration;
import edu.bu.signstream.time.Time;
import edu.bu.signstream.grepresentation.fields.Event;

public class EndFrameBackListener extends EndFrameListener {

	public EndFrameBackListener(MediaToolBar bar) {
		super(bar);
	}
	
	@Override
    Time getNewTime(Event event) {
	    var time = event.getEndTimeInfo();
	    return time.subtract(Util.getStep());
	}
}
