package edu.bu.signstream.ui.panels.dependentSortModel;

import java.util.*;

public class TestSorter {

   public static void main(String[] args) {
      System.out.println("TestSorter: main method");
      System.out.println("Create array of rows:");

      ArrayList col1 = new ArrayList();
      col1.add("subject, note 3");
      col1.add("Mike Schlang");
      col1.add("head pos: turn");
      TestRow row1 = new TestRow(col1);

      ArrayList col2 = new ArrayList();
      col2.add("subject, note 5");
      col2.add("Mike Schlang");
      col2.add("head pos: turn");
      TestRow row2 = new TestRow(col2);

      ArrayList col3 = new ArrayList();
      col3.add("subject, note 7");
      col3.add("Mike Schlang");
      col3.add("head pos: turn");
      TestRow row3 = new TestRow(col3);

      ArrayList col4 = new ArrayList();
      col4.add("subject, note 2");
      col4.add("Mike Schlang");
      col4.add("head pos: tilt");
      TestRow row4 = new TestRow(col4);

      ArrayList col5 = new ArrayList();
      col5.add("subject, note 0");
      col5.add("Mike Schlang");
      col5.add("head pos: tilt");
      TestRow row5 = new TestRow(col5);

      ArrayList col6 = new ArrayList();
      col6.add("subject, note 4");
      col6.add("Mike Schlang");
      col6.add("head pos: turn");
      TestRow row6 = new TestRow(col6);

      ArrayList col7 = new ArrayList();
      col7.add("subject, note 6");
      col7.add("Mike Schlang");
      col7.add("head pos: turn");
      TestRow row7 = new TestRow(col6);

      ArrayList rows = new ArrayList();
      rows.add(row1);
      rows.add(row2);
      rows.add(row3);
      rows.add(row4);
      rows.add(row5);
      rows.add(row6);
      rows.add(row7);

      System.out.println("row1 = " + row1);
      System.out.println("row2 = " + row2);
      System.out.println("row3 = " + row3);
      System.out.println("row4 = " + row4);
      System.out.println("row5 = " + row5);
      System.out.println("row6 = " + row6);
      System.out.println("row7 = " + row7);

      Sorter sorter = new Sorter(rows);
      System.out.println("test 1");     
      SortColumn column1 = new SortColumn(0, SortDirection.UNSORTED);
      System.out.println("test 2");    
      sorter.addSortColumn(column1);

      System.out.println("test 3");

      SortColumn column2 = new SortColumn(2, SortDirection.ASCENDING);
      sorter.addSortColumn(column2);

      ArrayList sorted = sorter.getRows();

      System.out.println("Sorted: ");
      for (int i = 0; i < sorted.size(); i++) {
         Row row = (Row) sorted.get(i);
         System.out.println("row" + i + " = " + row);
      }
   }

}
