package edu.bu.signstream.ui.popup;

import edu.bu.signstream.grepresentation.requestsHandler.SS3Singleton;

import javax.swing.*;
import javax.swing.border.EmptyBorder;
import java.awt.*;

public abstract class Popup extends JDialog {
    protected Popup() {
        super(SS3Singleton.getSignStreamApplication(), false);
        setResizable(false);

        var panel = new JPanel();
        panel.setBorder(new EmptyBorder(0, 0, 0, 0));
        panel.setLayout(new BoxLayout(panel, BoxLayout.Y_AXIS));
        setContentPane(panel);
    }

    public void display(JComponent parent, Point pos) {
        pack();
        SwingUtilities.convertPointToScreen(pos, parent);
        setLocation(pos);
        setVisible(true);
    }

    public void display(JComponent parent) {
        pack();
        setLocationRelativeTo(parent);
        setVisible(true);
    }

    public void display() {
        display(SS3Singleton.getSignStreamApplication()
            .getSignStreamSegmentPanel());
    }
}
