package edu.bu.signstream.common.util.https.requestBuilder.wrappers;

import org.apache.http.entity.ContentType;

/**
 * A StringWrapper class that extends the DataWrapper class and contains a string
 */
public class StringWrapper extends DataWrapper {
    private final String textBody;

    public StringWrapper(String formLabel, String textBody, ContentType contentType) {
        super(formLabel, contentType);
        this.textBody = textBody;
    }

    public String getTextBody() {
        return this.textBody;
    }
}
