package edu.bu.signstream.common.util.vo.ss3.codingScheme.templates;

import java.util.ArrayList;

public class CSPaletteItemGroup {
    private String id;
    private int order;
    private ArrayList<CSHandShapeItem> items;

    public CSPaletteItemGroup(String id, String order) {
        this.id = id;
        this.order = Integer.parseInt(order);
        this.items = new ArrayList<>();
    }

    public String getId() {
        return this.id;
    }

    public int getOrder() {
        return this.order;
    }

    public void setId(String id) {
        this.id = id;
    }

    public void setOrder(int order) {
        this.order = order;
    }

    public void setOrder(String order) {
        this.order = Integer.parseInt(order);
    }

    public void addItem(CSHandShapeItem item) {
        this.items.add(item);
    }

    public ArrayList<CSHandShapeItem> getItems() {
        return this.items;
    }
}
