package edu.bu.signstream.common.util.vo.ss3.dictionary;

import java.util.*;
import edu.bu.signstream.common.util.vo.ss3.db.SS3Track;

public class SS3Word {
	private HashMap tracks = new HashMap();
	private String literalTranslation = "";
	
	public SS3Word(String literalTranslation) {
		this.literalTranslation = literalTranslation;
	}
	
	public void addTrack(SS3Track track) {
		tracks.put(track.getId(), track);
	}
	
	public SS3Track getTrack(String trackID) {
		return (SS3Track)tracks.get(trackID);
	}
	
	public String getLiteralTranslation() {
		return literalTranslation;
	}
	
	public HashMap getTracks() {
		return tracks;
	}
}
