package edu.bu.signstream.grepresentation.fields.customField;

import edu.bu.signstream.time.Time;
import edu.bu.signstream.grepresentation.fields.Event;
import edu.bu.signstream.grepresentation.fields.Field;
import edu.bu.signstream.grepresentation.requestsHandler.SS3Singleton;
import edu.bu.signstream.grepresentation.view.main.SignStreamSegmentPanel;

public class CustomPointChainedEventsEntity extends CustomChainedEventsEntity {

	public CustomPointChainedEventsEntity(CustomChainedEventsCollection collection, SignStreamSegmentPanel segmentPanel,
			Field field) {
		super(collection, segmentPanel, field);
	}

	@Override
    public String canSetSelectedEventEndMovieTime(Time time) {
        Event selectedEvent = SS3Singleton.getMediaToolBar(null).selectedEvent();

        selectedEvent.setStartTimeInfo(time);
        selectedEvent.setEndTimeInfo(time);

        return null;
    }

	@Override
    public String canSetSelectedEventStartMovieTime(Time time) {
        Event selectedEvent = SS3Singleton.getMediaToolBar(null).selectedEvent();

        selectedEvent.setStartTimeInfo(time);
        selectedEvent.setEndTimeInfo(time);

        return null;
    }
}
