package edu.bu.signstream.grepresentation.fields.glossField.dialog.associatedFields.locations;

import edu.bu.signstream.grepresentation.fields.gestureField.locationField.GestureLocationType;

// This class is used to represent the types that
// are defined in defCodingScheme.xml
public class LocationType {
    private String name;
    private int id;
    private int order;

    public LocationType(String name, int id, int order) {
        this.name = name;
        this.id = id;
        this.order = order;
    }
    
    public LocationType(GestureLocationType ltxyz) {
    	this.name = ltxyz.getName();
    	this.id = ltxyz.getId();
		this.order = ltxyz.getOrder();
    }

    public String getName() {
        return name;
    }

    public int getId() {
        return id;
    }

    public int getOrder() {
        return order;
    }

    @Override
    public boolean equals(Object obj) {
        return (obj instanceof LocationType) && ((LocationType) obj).getId() == id;
    }

    @Override
    public int hashCode() {
        return id;
    }
}
