package edu.bu.signstream.ui.video.controlPanelIcons;

import java.awt.Component;
import java.awt.Graphics;
import java.awt.Graphics2D;

public class GoTwoFramesBackIcon extends VideoControlPanelIcon {

	public GoTwoFramesBackIcon(boolean enabled, int width, int height) {
		super(enabled, width, height);
	}

	@Override
	public void paintIcon(Component c, Graphics g, int x, int y) {
		Graphics2D g2 = (Graphics2D) g;

		g2.setBackground(getBackground());
		g2.setColor(getBackground());

		g2.fillRect(0, 0, this.getIconWidth(), this.getIconHeight());

		g2.setPaint(getGradientPaint());

		g2.drawLine(1, 11, 8, 4);
		g2.drawLine(0, 11, 7, 18);
		g2.drawLine(1, 11, 8, 18);
		
		g2.drawLine(5, 11, 12, 4);
		g2.drawLine(4, 11, 11, 18);
		g2.drawLine(5, 11, 12, 18);
	}
}
